export const moduleA = {
    state: {
        state_a: 1,
    },
    getters: {
        getter_a: (state) => {
            return state.state_a + 10;
        }
    },
    mutations: {
        mutation_a(state, payload) {
            state.state_a += payload.num;
        }
    },
    actions: {
        action_a(content, payload) {
            if (content.state.state_a > 50) {
                content.commit('mutation_a', {num: payload.num})
            }
        }
    }
}
