export const moduleB = {
    namespaced: true,
    state: {
        state_b: 2,
    },
    getters: {
        getter_b: (state) => {
            return state.state_b + 10;
        }
    },
    mutations: {
        mutation_b: (state, payload) => {
            state.state_b += payload.num;
        }
    },
    actions: {
        action_b: (content, payload) => {
            if (content.state.state_b > 50) {
                content.commit('mutation_b', {num: payload.num})
            }
        }
    }
}
